Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/24/2025 in all areas

  1. Here, try this revision... (defun c:lwlines-blks ( / mid car-sort online ch ss i blks ll ur plst p pp ppp sppp mp rtn k x n r li li1 li2 ) (or (not (vl-catch-all-error-p (vl-catch-all-apply (function vlax-get-acad-object) nil))) (vl-load-com)) (defun mid ( p1 p2 ) (mapcar (function (lambda ( a b ) (/ (+ a b) 2.0))) p1 p2) ) (defun car-sort ( lst func / itm rtn ) (setq itm (car lst)) (foreach a (cdr lst) (if...
    1 point
  2. I find it hard to believe that the code doesn't work correctly in AutoCAD 2015. I have that version installed on another PC and it works perfectly. I think this is a good time for you to learn how to use the Visual Lisp debugger. With it you will be able to locate where the problem is and if, indeed, there is any inconsistency.
    1 point
  3. Just Google "entmake dimension autolisp"
    1 point
  4. @pondpepo9 I can't tell you if what you are looking for exists unless you can be more specific on what you want. Ideally, post a DWG with the Before and After and explain in more detail what the workflow should be. Then if someone has something they are willing to share, write, or alter - we can let you know. PLEASE NOTE: This is not a forum just to order up free programs. We prefer...
    1 point
  5. Thanks, BIGAL... I'll attach more complete version - it determines where picked point is and according to that it proceeds to draw snake to the opposite side of area between curves... M.R. snakefill-2curveboundaries.lsp
    1 point
  6. CafeJr, here try this and reply if something's wrong... It should now work with 2 opposite open 2d curve boundaries... (defun c:snakefill-2curveboundaries (/ *adoc* odd even osm pea ch r lpl upl ip dir lplo uplo spc xl1 c1 xl2 c2 cl ss) (defun odd (lst) (if lst (cons (car lst) (odd (cddr lst)))) ) (defun even (lst) (if lst (cons (cadr lst) (even (cddr lst)))) ) (vl-load-com) (setq *adoc*...
    1 point
×
×
  • Create New...